<template>
  <router-view></router-view>
</template>

<script>
  window.$ = window.jQuery = require('materialize-css/node_modules/jquery/dist/jquery.js')
  require('materialize-css')
  export default {
    name: 'app',
    //  页面加载之前
    created() {
    },
    //  页面加载后
    mounted() {
      console.log(this.$router)
      this.$router.push("/index");
    }
  }
</script>

<style>
  @import "../../../node_modules/materialize-css/bin/materialize.css";

  #app {
  }

  /*侧边栏头部背景*/
  .side-nav .userView .background img {
    width: 100%;
  }

  /*导航名字*/
  .nav-name {
    margin: 0 15px;
    padding: 0;
    font-size: 16px;
  }

  /*右侧导航栏图标*/
  .nav-wrapper .right li a i {
    padding: 0;
    margin: 0;
    font-size: 16px;
  }

  /*右侧导航栏文字*/
  .nav-wrapper .right li a span {
    margin-left: 8px;
  }

  /*为大屏幕的侧边栏提供空间*/
  header, main, footer {
    padding-left: 300px;
  }

  /*主干区域*/
  main {
    position: fixed;
    width: 100%;
    height: calc(100% - 64px);
    z-index: -1;
  }

  @media only screen and (max-width: 992px) {
    header, main, footer {
      padding-left: 0;
    }
  }
</style>
